Initiate a supporting document upload
POST/v1/payaway/supporting-documents/instructions
Obtain a pre-signed upload URL for a supporting document (such as an invoice) to attach to a Initiate FI to FI Customer Credit Transfer request via the Verto Funds Controller.
The Verto Funds Controller always requires supporting documentation before initiating a transfer.
The upload URL is generated by Verto and is valid for 10 minutes. Upload the document file directly to the returned UploadUrl using an HTTP PUT request — the file bytes never pass through RTGS.global infrastructure.
Accepted file types: jpeg, jpg, pdf, png, svg.
Once uploaded, include the returned ExternalReference key in the subsequent Initiate FI to FI Customer Credit Transfer (POST /v1/payaway/funds-controller) request as CdtTrfTxInf[*].RmtInf.Strd[0].RfrdDocInf[0].Nb.
Request
Responses
- 200
- 400
Upload link successfully created
Bad Request